(function($) {
	"use strict";
	jQuery(document).ready(function($) {

		$('#save-email').submit(function(e) {
			e.preventDefault();
			swal(wcp.title, wcp.message, 'info');
			var data = {
				action: 'wcp_save_email',
				email: $('.wccs-email').val(),
				id: $(this).data('id'),
			}

			$.post(wcp.ajaxurl, data, function(resp) {
			    swal(resp.title, resp.message, resp.status);
				$('.wccs-email').val('');
			}, 'json');
		});

		if($('#wcp-timer').length){
			$('#wcp-timer').FlipClock( $('#wcp-timer').data('time'), {
		        clockFace: 'DailyCounter',
		        countdown: true,
		        callbacks: {
		        	stop: function() {
		        		setTimeout(function() {
		        			window.location.reload();
		        		}, 20);
		        	}
		        }
		    });
		}

		$(document).on("show_variation", ".single_variation_wrap", function(event, variation) {
		    
		    if (undefined !== variation.wccs_time && variation.wccs_time) {
		    	var product_id = $('.wccs-big-clock-variable').data('product_id');
		    	$('.coming-soon-heading-variable').show();
		    	var wccsTime = variation.wccs_time;
		    	var clockHtml = '<div id="wcp-variable-timer" data-id="'+product_id+'" data-time="'+wccsTime+'"></div>';
		    	$('.wccs-big-clock-variable').html(clockHtml);
				$('#wcp-variable-timer').FlipClock( $('#wcp-variable-timer').data('time'), {
			        clockFace: 'DailyCounter',
			        countdown: true,
			        callbacks: {
			        	stop: function() {
			        		setTimeout(function() {
			        			window.location.reload();
			        		}, 20);
			        	}
			        }
			    });
		    } else {
		    	$('.coming-soon-heading-variable').hide();
		    	$('.wccs-big-clock-variable').html("");
		    }
		});
	});
})(jQuery);