<?php
$csdata = get_post_meta( $product_id, 'wcp_meta', true );
$label = ($csdata['text'] != '') ? $csdata['text'] : __( 'Coming Soon...', 'wccs' ) ;
$date = strtotime($csdata['time']) - time();
$settings = get_option( 'csp_admin_settings' );
$bg_color = (isset($settings['clock']) && $settings['clock'] != '') ? $settings['clock'] : '#333' ;
$color = (isset($settings['number']) && $settings['number'] != '') ? $settings['number'] : '#CCCCCC' ; ?>

<h2 class="coming-soon-heading"><?php echo esc_attr( $label ); ?></h2>
<?php if (!isset($csdata['disable_timer'])) { if (!isset($settings['visibility']) || $settings['visibility'] != 'on') { ?>
	<div class="wccs-big-clock">
		<div id="wcp-timer" data-id="<?php echo intval($product_id) ?>" data-time="<?php echo intval($date) ?>"></div>
	</div>
<?php }} ?>
<style>
	.flip-clock-wrapper ul li a div div.inn {
		color: <?php echo esc_attr($color); ?> !important;
		background-color: <?php echo esc_attr($bg_color); ?> !important;
	}
	.flip-clock-dot {
		background-color: <?php echo esc_attr($bg_color); ?> !important;
	}
	.coming-soon-heading {
		text-align:center;
		margin-bottom: 30px;
		margin-top:0;
	}
</style>

