(function($) {
	"use strict";
	jQuery(document).ready(function($) {
		$(".wccs-settings-wrapper div").hide().first().show();
		$(".nav-tab-wrapper a:first").addClass("active");
		$(".nav-tab-wrapper a").on('click', function (e) {
		    e.preventDefault();
		    $(this).addClass("nav-tab-active").siblings().removeClass("nav-tab-active");
		    $($(this).attr('href')).show().siblings('.wcp-panel').hide();
		});

		$('body').on('submit', '#wccs-settings-form', function(event) {
			event.preventDefault();
			swal(wccs_vars.title, wccs_vars.message, 'info');

			var data = $(this).serialize();

			$.post(ajaxurl, data, function(resp) {
			    swal(resp.title, resp.message, resp.status);
			}, 'json');
		});

		$('.colorpicker').wpColorPicker();
	});
})(jQuery);